package com.cool.store.dto.decoration;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2024/4/28 15:17
 * @Version 1.0
 */

public class BudgetDTO {
    @ApiModelProperty("预算主键")
    private Long id;
    @ApiModelProperty("名称")
    private String name;
    @ApiModelProperty("计价类型")
    private String type;
    @ApiModelProperty("合计")
    private BigDecimal vzHj;
    @ApiModelProperty("取费合计")
    private BigDecimal totalAmount;
    @ApiModelProperty("成本合计")
    private BigDecimal totalCost;
    @ApiModelProperty("创建时间")
    private String createDate;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("预算详情")
    private List<BudgetDetailDTO> details;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public BigDecimal getVzHj() {
        return vzHj;
    }

    public void setVzHj(BigDecimal vzHj) {
        this.vzHj = vzHj.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(BigDecimal totalCost) {
        this.totalCost = totalCost.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public List<BudgetDetailDTO> getDetails() {
        return details;
    }

    public void setDetails(List<BudgetDetailDTO> details) {
        this.details = details;
    }
}
